[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomControlBar.GetControlInfo

Signals the OnBandInfo event handler to store control information to the arguments for the method.

## Declaration

Source position: extctrls.pp line 1632

`protected procedure TCustomControlBar.GetControlInfo(`
`AControl: TControl;`
`var Insets: TRect;`
`var PreferredSize: Integer;`
`var RowCount: Integer`
`); virtual;`

## Arguments

`AControl` |  | Control for the band examined in the method.
`Insets` |  | Adjusted bounds rectangle for the control.
`PreferredSize` |  | Adjusted width for the control.
`RowCount` |  | Number of rows needed for the band / control using the default row height.

## Description

GetControlInfo is called from the InsertControl method when the specified control is positioned, aligned, and added to the internal TCtrlBands container for the control bar. GetControlInfo signals the OnBandInfo event handler (when assigned) to store information about the bounds rectangle, width, and number of rows needed for the control / band. Values are returned in the Insets, PreferredSize, and RowCount variable arguments.